at.chipkarte.client.dmp.soap.constants

## Class DmpExceptionConstants

- Object
- - at.chipkarte.client.dmp.soap.constants.DmpExceptionConstants

-     public final class DmpExceptionConstants
      extends Object

  Fachliche Fehlerkonstanten von DMP.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `A_NOT_POSSIBLE_BUT_W` Es gibt aktuell keine Therapie Aktiv Einschreibung für das gewählte Programm, jedoch eine in der Vergangenheit.
    `static int` | `E_NOT_POSSIBLE_BUT_W` Es gibt bereits eine Therapie Aktiv Einschreibung für das gewählte Programm in der Vergangenheit.
    `static int` | `EINSCHREIBEART_NOT_POSSIBLE` Es gibt aktuell eine Therapie Aktiv Einschreibung bei Ihnen für das gewählte Programm.
    `static int` | `EINSCHREIBEART_NOT_POSSIBLE_BUT_A` Es gibt aktuell eine Therapie Aktiv Einschreibung mit einem anderen Vertragspartner für das gewählte Programm.
    `static int` | `EINSCHREIBEART_NOT_POSSIBLE_BUT_E` Es gibt noch keine Therapie Aktiv Einschreibung für das gewählte Programm.
    `static int` | `MAX_RESULT_EXCEEDED` Die Anzahl der gefundenen Treffer überschreitet die maximal zulässige Anzahl.
    `static int` | `NO_ANSPRUCH_EXCEPTION` SV-Person hat keinen gültigen Krankenversicherungsanspruch, eine Einschreibung über das e-card System ist daher nicht möglich.
    `static int` | `NO_ASVG_SVT_PROVIDED_EXCEPTION` Eine ÖGK Dienststelle des Bundeslandes muss erfasst werden, weil die Einschreibung in mehreren Bundesländern möglich ist.
    `static int` | `NO_BETR_VERH_AUSSCHREIBUNG_EXCEPTION` Es gibt keine Therapie Aktiv Einschreibung bei Ihnen für das gewählte Programm.
    `static int` | `NO_BETR_VERH_FOUND_EXCEPTION` Es konnte kein gültiges Betreuungsverhältnis für das gewählte Programm gefunden werden.
    `static int` | `NO_SUCH_CLAIM_EXCEPTION` Eine Einschreibung zum gewählten Krankenversicherungsträger ist nicht möglich, aber zu einem anderen.
    `static int` | `NO_SVT_PROVIDED_EXCEPTION` Es muss ein Krankenversicherungsträger erfasst werden, weil die Einschreibung bei mehreren Krankenversicherungsträgern möglich ist.
    `static int` | `NO_VERTRAG_EXCEPTION` Es existiert kein gültiger Vertrag des Vertragspartners mit dem Fachgebiet und dem Krankenversicherungsträger der SV-Person.
    `static int` | `SV_NUMMER_NOT_EXISTS` Die SV-Nummer ist im e-card System nicht bekannt.

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_ANSPRUCH_EXCEPTION

          public static final int NO_ANSPRUCH_EXCEPTION

      SV-Person hat keinen gültigen Krankenversicherungsanspruch, eine Einschreibung über das e-card System ist daher nicht möglich.
      ORCLI-Code: ZS-02003
      See Also:
        Constant Field Values

    - #### NO_SUCH_CLAIM_EXCEPTION

          public static final int NO_SUCH_CLAIM_EXCEPTION

      Eine Einschreibung zum gewählten Krankenversicherungsträger ist nicht möglich, aber zu einem anderen.
      ORCLI-Code: ZS-02004
      See Also:
        Constant Field Values

    - #### NO_SVT_PROVIDED_EXCEPTION

          public static final int NO_SVT_PROVIDED_EXCEPTION

      Es muss ein Krankenversicherungsträger erfasst werden, weil die Einschreibung bei mehreren Krankenversicherungsträgern möglich ist.
      ORCLI-Code: ZS-02005
      See Also:
        Constant Field Values

    - #### NO_ASVG_SVT_PROVIDED_EXCEPTION

          public static final int NO_ASVG_SVT_PROVIDED_EXCEPTION

      Eine ÖGK Dienststelle des Bundeslandes muss erfasst werden, weil die Einschreibung in mehreren Bundesländern möglich ist.
      Einer der SVTs muss ausgewählt werden. Die zur Auswahl stehenden SVTs werden in der Exception geliefert.
      ORCLI-Code: ZS-02008
      See Also:
        Constant Field Values

    - #### NO_VERTRAG_EXCEPTION

          public static final int NO_VERTRAG_EXCEPTION

      Es existiert kein gültiger Vertrag des Vertragspartners mit dem Fachgebiet und dem Krankenversicherungsträger der SV-Person.
      ORCLI-Code: ZS-02011
      See Also:
        Constant Field Values

    - #### MAX_RESULT_EXCEEDED

          public static final int MAX_RESULT_EXCEEDED

      Die Anzahl der gefundenen Treffer überschreitet die maximal zulässige Anzahl. Bitte schränken Sie die Suchkriterien weiter ein.
      ORCLI-Code: ZS-02025
      See Also:
        Constant Field Values

    - #### NO_BETR_VERH_FOUND_EXCEPTION

          public static final int NO_BETR_VERH_FOUND_EXCEPTION

      Es konnte kein gültiges Betreuungsverhältnis für das gewählte Programm gefunden werden.
      ORCLI-Code: ZS-02019
      See Also:
        Constant Field Values

    - #### NO_BETR_VERH_AUSSCHREIBUNG_EXCEPTION

          public static final int NO_BETR_VERH_AUSSCHREIBUNG_EXCEPTION

      Es gibt keine Therapie Aktiv Einschreibung bei Ihnen für das gewählte Programm. Ausschreibung ist daher nicht möglich.
      ORCLI-Code: ZS-02020
      See Also:
        Constant Field Values

    - #### SV_NUMMER_NOT_EXISTS

          public static final int SV_NUMMER_NOT_EXISTS

      Die SV-Nummer ist im e-card System nicht bekannt.
      ORCLI-Code: ZS-02002
      See Also:
        Constant Field Values

    - #### E_NOT_POSSIBLE_BUT_W

          public static final int E_NOT_POSSIBLE_BUT_W

      Es gibt bereits eine Therapie Aktiv Einschreibung für das gewählte Programm in der Vergangenheit. Ersteinschreibung ist daher nicht möglich, jedoch eine Wiedereinschreibung.
      ORCLI-Code: ZS-02026
      See Also:
        Constant Field Values

    - #### A_NOT_POSSIBLE_BUT_W

          public static final int A_NOT_POSSIBLE_BUT_W

      Es gibt aktuell keine Therapie Aktiv Einschreibung für das gewählte Programm, jedoch eine in der Vergangenheit. Arztwechsel ist daher nicht möglich, jedoch eine Wiedereinschreibung.
      ORCLI-Code: ZS-02027
      See Also:
        Constant Field Values

    - #### EINSCHREIBEART_NOT_POSSIBLE_BUT_A

          public static final int EINSCHREIBEART_NOT_POSSIBLE_BUT_A

      Es gibt aktuell eine Therapie Aktiv Einschreibung mit einem anderen Vertragspartner für das gewählte Programm. <Einschreibeart> ist daher nicht möglich, jedoch ein Arztwechsel.
      ORCLI-Code: ZS-02028
      See Also:
        Constant Field Values

    - #### EINSCHREIBEART_NOT_POSSIBLE

          public static final int EINSCHREIBEART_NOT_POSSIBLE

      Es gibt aktuell eine Therapie Aktiv Einschreibung bei Ihnen für das gewählte Programm. <Einschreibeart> ist daher nicht möglich.
      ORCLI-Code: ZS-02029
      See Also:
        Constant Field Values

    - #### EINSCHREIBEART_NOT_POSSIBLE_BUT_E

          public static final int EINSCHREIBEART_NOT_POSSIBLE_BUT_E

      Es gibt noch keine Therapie Aktiv Einschreibung für das gewählte Programm. lt;Einschreibeartgt; ist daher nicht möglich, jedoch eine Ersteinschreibung.
      ORCLI-Code: ZS-02030
      See Also:
        Constant Field Values